/*
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 * 
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *          http://www.eclipse.org/legal/epl-v10.html
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.farm.fieldplan;

import nl.cloudfarming.client.farm.model.FieldPlan;

/**
 *
 * @author Timon Veenstra <monezz@gmail.com>
 */
public class FieldPlanOverviewPanel extends javax.swing.JPanel {

    
    private final FieldPlan fieldPlan;
    /**
     * Creates new form FieldPlanOverviewPanel
     */
    public FieldPlanOverviewPanel(FieldPlan fieldPlan) {
        this.fieldPlan = fieldPlan;
        initComponents();
        fieldName.setText(fieldPlan.getName());
        fieldYear.setText(fieldPlan.getHarvestYear().toString());
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        fieldName = new javax.swing.JLabel();
        fieldYear = new javax.swing.JLabel();

        jLabel1.setText(org.openide.util.NbBundle.getMessage(FieldPlanOverviewPanel.class, "FieldPlanOverviewPanel.jLabel1.text")); // NOI18N

        jLabel2.setText(org.openide.util.NbBundle.getMessage(FieldPlanOverviewPanel.class, "FieldPlanOverviewPanel.jLabel2.text")); // NOI18N

        fieldName.setText(org.openide.util.NbBundle.getMessage(FieldPlanOverviewPanel.class, "FieldPlanOverviewPanel.fieldName.text")); // NOI18N

        fieldYear.setText(org.openide.util.NbBundle.getMessage(FieldPlanOverviewPanel.class, "FieldPlanOverviewPanel.fieldYear.text")); // NOI18N

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel1)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(fieldName, javax.swing.GroupLayout.DEFAULT_SIZE, 342, Short.MAX_VALUE)
                .addGap(56, 56, 56)
                .addComponent(jLabel2)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(fieldYear, javax.swing.GroupLayout.PREFERRED_SIZE, 89, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(19, 19, 19))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel1)
                    .addComponent(fieldName)
                    .addComponent(jLabel2)
                    .addComponent(fieldYear))
                .addContainerGap(279, Short.MAX_VALUE))
        );
    }// </editor-fold>//GEN-END:initComponents
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JLabel fieldName;
    private javax.swing.JLabel fieldYear;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    // End of variables declaration//GEN-END:variables
}
